For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTCreate a New Shift Rate
      • DELDelete a Shift Rate by external ID
      • POSTGenerate timesheet upload url
      • GETRetrieve a Paginated List of Shift Rates
      • GETRetrieve a Shift Rate by External ID
      • GETRetrieve a timesheet
      • POSTReview a submitted timesheet
      • PATCHUpdate a shift rate
LogoLogo
SupportDeel Home
EndpointsTime Tracking

Retrieve a Paginated List of Shift Rates

GET
/time_tracking/shift_rates
GET
/rest/v2/time_tracking/shift_rates
$curl -G https://api.letsdeel.com/rest/v2/time_tracking/shift_rates \
> -H "Authorization: Bearer <token>" \
> -d limit=10 \
> -d offset=10
1{
2 "data": [
3 {
4 "name": "Weekend Bonus",
5 "type": "FLAT_RATE",
6 "value": 150,
7 "created_at": "2024-11-15T05:51:18.000Z",
8 "updated_at": "2024-11-20T12:34:56.000Z",
9 "external_id": "rate-5678"
10 }
11 ],
12 "page": {
13 "offset": 0,
14 "total_rows": 100,
15 "items_per_page": 10
16 }
17}

Returns a paginated list of shift rates. Use the limit and offset parameters to control page size and starting position within the result set. Token scopes: time-tracking:read

Was this page helpful?
Previous

Retrieve a Shift Rate by External ID

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

limitstringOptionalformat: "^[0-9]+$"
The maximum number of records to return per page. For example, '10' to return up to 10 records.
offsetstringOptionalformat: "^[0-9]+$"

The starting index for the records to retrieve. For example, ‘0’ for the first page or ‘10’ for the second page when limit=10.

Response

Paginated list of shift rates retrieved successfully.
datalist of objects
pageobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication